package com.extedu.ticketson.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.extedu.ticketson.service.capi.TicketService;
import com.extedu.ticketson.view.form.TicketForm;

@Controller
@RequestMapping("/ticket")
public class TicketController {
	
	@Autowired
	TicketService ticketService;
	
	@RequestMapping("/")
	public String showAll(Model model)
	{
		model.addAttribute("ticket", new TicketForm());
		model.addAttribute("ticketList", ticketService.list());
		return "tickets";
	}
	
	@RequestMapping(value = "/add", method =RequestMethod.POST)
	public String add(@ModelAttribute("ticket") TicketForm ticket)
	{
		ticketService.add(ticket);
		
		return "redirect:/ticket/";
	}
	
	@RequestMapping("/delete/{id}")
	public String remove(@ModelAttribute("id") Integer id)
	{
		ticketService.remove(id);
		return "redirect:/ticket/";
	}

}
