package com.extedu.ticketson.controller;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.extedu.ticketson.service.capi.UserService;
import com.extedu.ticketson.view.form.UserForm;

@Controller
@RequestMapping("/user")
public class UserController {

	
	@Autowired
	UserService userService;
	
	@RequestMapping("/")
	public String listUser(Map<String, Object> map)
	{
		map.put("user", new UserForm());
		map.put("listUser", userService.listUser());
		
		return "user";
	}
	
	@RequestMapping(value = "/add", method = RequestMethod.POST)
	public String addUser(@ModelAttribute("user") UserForm user,
			BindingResult result)
	{
		userService.addUser(user);
		return "redirect:/user/";
	}
	
	@RequestMapping("/delete/{id}")
	public String removeUser(@ModelAttribute("id") Integer id)
	{
		userService.removeUser(id);
		return "redirect:/user/";
	}
	
	
}
