package com.extedu.ticketson.service.internal;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.extedu.ticketson.dao.Ticket;
import com.extedu.ticketson.dao.capi.TicketDAO;
import com.extedu.ticketson.service.capi.TicketService;
import com.extedu.ticketson.view.form.TicketForm;

@Service
public class TicketServiceImpl implements TicketService {

	@Autowired
	private TicketDAO ticketDAO;
	
	@Transactional
	public void add(TicketForm ticketForm) {
		Ticket ticket = new Ticket();
		BeanUtils.copyProperties(ticketForm, ticket);
		ticketDAO.add(ticket);

	}
	@Transactional
	public void remove(Integer id) {
		ticketDAO.remove(id);

	}
	@Transactional
	public void update(TicketForm ticketForm) {
		Ticket ticket = new Ticket();
		BeanUtils.copyProperties(ticketForm, ticket);
		ticketDAO.update(ticket);

	}
	@Transactional
	public TicketForm getByID(Integer id) {
		
		TicketForm ticketForm = new TicketForm();
		BeanUtils.copyProperties(ticketDAO.getByID(id), ticketForm);
		
		return ticketForm;
	}
	@Transactional
	public List<TicketForm> list() {
		List<TicketForm> listForms = new ArrayList<TicketForm>();
		List<Ticket> list  = ticketDAO.list();
		for(Ticket ticket: list)
		{
			TicketForm ticketForm = new TicketForm();
			BeanUtils.copyProperties(ticket, ticketForm);
			listForms.add(ticketForm);
		}
		return listForms;
	}

}
