package com.extedu.ticketson.service.internal;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.extedu.ticketson.dao.User;
import com.extedu.ticketson.dao.capi.UserDAO;
import com.extedu.ticketson.service.capi.UserService;
import com.extedu.ticketson.view.form.UserForm;

@Service
public class UserServiceImpl implements UserService {

	@Autowired
	private UserDAO userDAO;
	
	@Transactional
	public UserForm getUserById(Integer id) {
		User user = userDAO.getUserById(id);
		
		UserForm userForm = new UserForm();
		BeanUtils.copyProperties(user, userForm);
		
		return userForm;
	}
	@Transactional
	public void addUser(UserForm userForm) {
		User user = new User();
		BeanUtils.copyProperties(userForm, user);
		userDAO.addUser(user);
	}
	@Transactional
	public List<UserForm> listUser() {
		List<User> list = userDAO.listUser();
		List<UserForm> listForm = new ArrayList<UserForm>();
		
		if(list != null)
		{
			for(User user: list)
			{
				UserForm userForm = new UserForm();
				BeanUtils.copyProperties(user, userForm);
				listForm.add(userForm);
			}
			
		}
		return listForm;
	}
	@Transactional
	@Deprecated
	public void removeUser(Integer id) {
		userDAO.removeUser(id);
		
	}

}
